<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Data;

class MultiLanguage
{
    /**
     * 设置地区管理是否需要多语言输入与显示，0 关闭，1 启用
     */
    const REGION_MULTI_LANGUAGE = 0;

    /**
     * 当上面的设置为 0 时，此设置才生效，地区信息只需要单语言信息名称，前台不会因为语言切换而变化对应语言地区信息
     * 之所以有此设置，为了方便商家在前台显示固定语言的地区
     */
    const REGION_DEFAULT_LANGUAGE = SHOP_FONT_LANGUAGE;
}